Foreman - Bug #2490

Empty EC2 security group can't be found
05/13/2013 05:09 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal
Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Pull request:

Description

When creating an EC2 host, an empty security group gets passed in and causes an error in fog:

Started POST "/hosts" for 127.0.0.1 at 2013-05-13 09:38:04 +0100
Processing by HostsController#create as */*
Parameters: {... "groups"=>["", "default"], ...}

Fog error: The security group '' does not exist
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/excon-0.20.1/1lib/excon/middlewares/expects.
rb:6:in "response_call'
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/excon-0.20.1/1lib/excon/connection.rb:332:1in
‘response'
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/excon-0.20.1/1ib/excon/connection.rb:226:1in
‘request'
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/fog-1.10.1/1ib/fog/core/connection.rb:21:1in
‘request'
/home/dcleal/.rvm/gems/ruby-2.0.0-pO0Rforeman/gems/fog-1.10.1/1ib/fog/aws/compute.rb:384:1in
request'’'
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/fog-1.10.1/1ib/fog/aws/compute.rb:379:in "r
equest’
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/fog-1.10.1/1ib/fog/aws/requests/compute/run
_instances.rb:112:in “run_instances'
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/fog-1.10.1/1ib/fog/aws/models/compute/serve
r.rb:173:in " save'
/home/dcleal/.rvm/gems/ruby-2.0.0-p0@foreman/gems/fog-1.10.1/1ib/fog/core/collection.rb:52:1in
‘create'!
/home/dcleal/code/foreman/foreman/app/models/compute_resource.rb:117:in "“create_vm'
/home/dcleal/code/foreman/foreman/lib/foreman/model/ec2.rb:42:in "create_vm'

Associated revisions

Revision 11ea79ce - 05/13/2013 07:11 AM - Stef Telford
fixes #2490 - filter empty EC2 security groups

Revision 0c857d7c - 05/13/2013 03:32 PM - Stef Telford
fixes #2490 - filter empty EC2 security groups
(cherry picked from commit 11ea79ceacc2c9d0f2abed59a922b80d58c9031a)

History

#1 - 05/13/2013 05:13 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

Submitted Stef's fix (from IRC):

https://github.com/theforeman/foreman/pull/610
https://github.com/theforeman/foreman/pull/610

#2 - 05/13/2013 08:46 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 11ea? 2 2 22 1a.
